{% extends 'index.twig' %}

{% block content %}

    <section class="content">
        <div class="page-title pad group">
            <ul class="meta-single group">
                <li class="category">
                    <a href="{{ news.category.query }}" rel="category tag">
                        {{ news.category.title }}
                    </a>
                </li>
                <li class="comments">
                    <a href="{{ news.category.query }}/{{ news.id }}#comments">
                        <i class="fa fa-comments-o"></i>{{ comments_number }}
                    </a>
                </li>
            </ul>
        </div>
        <div class="pad group">
            <article class="post-2336 post type-post status-publish format-video has-post-thumbnail hentry category-lifestyle post_format-post-format-video">
                <div class="post-inner group">
                    <h1 class="post-title entry-title">{{ news.title|raw }}</h1>
                        <time class="published">{{ news.date }}</time>
                    <div class="post-format">
                            <img src="{{ news.img0 }}" alt="{{ news.title }}">
                    </div>
                    <div class="entry themeform share">
                        <div class="entry-inner" id="full-text">
                            <p>
                                {{ news.description|raw }}
                            </p>
                            {% if news.img1 is empty %}{% else %}
                                <img src="{{ news.img1 }}" alt="{{ news.title }}">
                            {% endif %}
                            {% if news.text1 is empty %}{% else %}
                            <p style="font-size: 16px">
                                {{ news.text1|replace({"\n": "", "\r\n": "", "\t": "", "\n\r": ""})|raw }}
                            </p>
                            {% endif %}
                            {% if news.img2 is empty %}{% else %}
                                <img src="{{ news.img2 }}" alt="{{ news.title }}">
                            {% endif %}
                            {% if news.text2 is empty %}{% else %}
                                <p style="font-size: 16px">
                                    {{ news.text2|raw }}
                                </p>
                            {% endif %}
                            {% if news.img3 is empty %}{% else %}
                                    <img src="{{ news.img3 }}" alt="{{ news.title }}">
                            {% endif %}
                            {% if news.text3 is empty %}{% else %}
                                <p style="font-size: 16px">
                                    {{ news.text3|raw }}
                                </p>
                            {% endif %}
                            {% if news.img4 is empty %}{% else %}
                                    <img src="{{ news.img4 }}" alt="{{ news.title }}">
                            {% endif %}
                            {% if news.text4 is empty %}{% else %}
                                <p style="font-size: 16px">
                                    {{ news.text4|raw }}
                                </p>
                            {% endif %}
                            {% if news.img5 is empty %}{% else %}
                                    <img src="{{ news.img5 }}" alt="{{ news.title }}">
                            {% endif %}
                            {% if news.text5 is empty %}{% else %}
                                <p style="font-size: 16px">
                                    {{ news.text5|raw }}
                                </p>
                            {% endif %}
                        </div>
                    </div>
                    {#<div style="float: right;" id="sticky">#}
                        {#11111#}
                    {#</div>#}
                </div>

                <hr>
                <div style="width:100%; margin: auto; text-align: center;">
                    <script type="text/javascript" src="https://vk.com/js/api/share.js?94" charset="windows-1251"></script>
                    <script type="text/javascript">
                        <!--
                        document.write(VK.Share.button(
                            {
                                url: window.location.href,
                                description: "{{ news.description }}",
                                image: "furybrains.hol.es/upload/news/mobile/1485460333-origina3l.jpg"
                            },
                            {
                                type: "custom",
                                text: "<img src=\"https://vk.com/images/share_32.png\" width=\"32\" height=\"32\" />"
                            }
                            )
                        );
                        -->
                    </script>
                </div>
                {% if uid != empty %}
                    <form role="form" style="margin: auto; text-align: center; background: white" action="" method="POST" id="commentform" onsubmit="return rateForm()" name="rate" enctype= "multipart/form-data">
                        <button style="margin: auto; text-align: center" class="btn btn-success" type="button" id="rate"  name="rate" value="1">
                            <span class="glyphicon glyphicon-heart"></span>&nbsp;<b id="like" >
                                Голосовать!
                            </b>&nbsp;(<b id="rate_num">{{ news.rate }}</b>)
                        </button>
                    </form>
                {% else %}
                    <div class="alert alert-warning" role="alert" style="font-size: 14px">Чтобы иметь возможность голосовать, пожалуйста, авторизируйтесь!</div>
                {% endif %}
                <hr>

            </article>
            <h4 class="heading">
                <i class="fa fa-hand-o-right"></i>Вам так же понравится ...</h4>
            <ul class="related-posts group">
                {% for recommended_pos_2 in recommended_pos_2 %}
                <li class="related post-hover">
                    <article class="post-2348 post type-post status-publish format-image has-post-thumbnail hentry category-lifestyle post_format-post-format-image">
                        <div class="post-thumbnail">
                            <a href="{{ recommended_pos_2.link }}" target="_blank">
                                <img width="520" src="{{ recommended_pos_2.image }}" class="attachment-thumb-medium size-thumb-medium wp-post-image" alt="{{ recommended_pos_2.title }}" /> </a>

                        <div class="related-inner">
                            <h4 class="post-title entry-title">
                                <a href="{{ recommended_pos_2.link }}" target="_blank" rel="bookmark" style="font-size: 15px">{{ recommended_pos_2.title }}</a></h4>
                        </div>
                            <p class="post-item-date">Источник: <a href="{{ recommended_pos_2.link }}" target="_blank">{{ recommended_pos_2.link }}</a></p>

                        </div>
                    </article>
                </li>
                {% endfor %}
            </ul>
            <section id="comments" class="themeform">
                <ul class="comment-tabs group">
                    <li class="active"><a href="#commentlist-container"><i class="fa fa-comments-o"></i>Комментариев<span>{{ comments_number }}</span></a></li>
                    <li><a href="#pinglist-container"><i class="fa fa-share"></i>Оставить комментарий</a></li>
                </ul>
                <div id="commentlist-container" class="comment-tab">
                    <ol class="commentlist">
                        {% for comment in comments %}
                            <li class="comment even thread-odd thread-alt depth-1" id="comment-26">
                                <div id="div-comment-26" class="comment-body">
                                    <div class="comment-author vcard">
                                        <a>
                                            {% if comment.user.photo is empty %}
                                                <img src='{{ project_root }}/img/manager.jpg' class='avatar avatar-96 photo' width='96' />
                                            {% else %}
                                                <img src='{{ comment.user.photo }}' class='avatar avatar-96 photo' style="height: 50px; width: auto" />
                                            {% endif %}
                                        </a>
                                        <cite class="fn"><a href="http://vk.com/id{{ comment.user.uid }}">{{ comment.user.first_name }} {{ comment.user.last_name }}</a></cite>
                                        <span class="says"> говорит:</span>
                                    </div>
                                    {#<div class="comment-meta commentmetadata">#}
                                        {#<a href="index.html#comment-26">October 31, 2013 at 9:12 am</a>#}
                                    {#</div>#}
                                    <p>{{ comment.text }}</p>
                                </div>
                            </li>
                        {% endfor %}
                    </ol>
                </div>
                <div id="respond" class="comment-respond">
                    <h3 id="reply-title" class="comment-reply-title">Оставьте свой отзыв <small>
                            <a rel="nofollow" id="cancel-comment-reply-link" href="index.html#respond" style="display:none;">Cancel reply</a></small></h3>
                    {% if uid != empty %}
                    <form role="form" action="" method="GET" id="commentform" class="comment-form" onsubmit="return validateForm()" name="comment-form">
                        <p class="comment-form-comment">
                            <label for="comment">Комментарий </label>
                            <textarea id="comment" name="comment" cols="45" rows="8" maxlength="65525" aria-required="true"></textarea>
                        </p>
                        <div id="message">
                        </div>
                        <p class="form-submit">
                            <input type="submit" class="btn btn-primary btn-md btn-block" id="comment-btn" value="Добавить">
                        </p>
                    </form>
                    {% else %}
                        <div class="alert alert-warning" role="alert" style="font-size: 14px">Чтобы оставить комментарий, пожалуйста, авторизируйтесь!</div>
                    {% endif %}
                </div>
            </section>
        </div>
    </section>

    <script>
        function validateForm() {
            var comment = document.forms["comment-form"]["comment"].value;

            if (comment == null || comment == "") {
                $('#message').html('Поле "Комментарий" не может быть пустым!');
                return false;
            }
        }
        $(document).ready(function(){
            $("#comment-btn").click(function(){
                var comment = document.forms["comment-form"]["comment"].value;
                $.ajax({
                    url: 'comment-send/{{ news.id }}',
                    type : 'POST',
                    data: {
                        comment: comment
                    },
                    error: function(){
                        console.log("Error in ajax request");
                    },
                    success: function(data)
                    {
                        console.log("Success of ajax request");
                        console.log(data);
                        $("#message").text(data);
                    }
                });
            });
        });

        function rateForm() {

        }
        $(document).ready(function(){
            $("#rate").click(function(){
                var rate = document.forms["rate"]["rate"].value;
                $.ajax({
                    url: 'rate/{{ news.id }}',
                    type : 'POST',
                    data: {
                        rate: rate
                    },
                    error: function(){
                        console.log("Error in ajax request");
                    },
                    success: function(data)
                    {
                        console.log("Success of ajax request");
                        console.log(data);
                        $("#rate_num").text(data);
                    }
                });
            });
        });
    </script>

    {% include "partials/left-block.twig" %}
    {% include "partials/right-block.twig" %}

{% endblock %}


